import { useHead } from "#app";
import { generateStyles, parseFormat } from "../utils/index.mjs";
export const useLocalFont = (local) => {
  const { fontFace, classes, root } = generateStyles(local);
  const styles = `${fontFace}${classes}${root}`;
  const links = [];
  for (const font of local) {
    const options = {
      preload: true,
      ...font
    };
    if (options.preload) {
      const format = parseFormat(font.src);
      links.push({
        rel: "preload",
        as: "font",
        type: `font/${format}`,
        crossorigin: "anonymous",
        href: font.src
      });
    }
  }
  if (links.length)
    useHead({ link: links });
  return useHead({ style: [{ children: styles }] });
};
